package org.siprop.android;

import org.siprop.android.R;
import org.siprop.android.location.LocationService;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

/**
 * ツイートを投稿するアクティビティ
 * 
 * @author hirotaka@siprop.org
 *
 */
public class MessageActivity extends Activity {
	
	Double latitude;
	Double longitude;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.message);
        Intent intent = getIntent();
        latitude = (Double) intent.getSerializableExtra("latitude");
        longitude = (Double) intent.getSerializableExtra("longitude");
        String address = LocationService.lontatToAddress(latitude, longitude, this);
        
        if (address != null) {
        	TextView textView = (TextView) this.findViewById(R.id.label);
        	textView.setText(address);
        }
        
        Button okButton = (Button)this.findViewById(R.id.ok);
        okButton.setOnClickListener(new OnClickListener() {
        	@Override
        	public void onClick(View view) {
        		okButtonOnClick();
        	}
        });
	}

    private void okButtonOnClick() {
    	EditText editText = (EditText) this.findViewById(R.id.entry);
    	Intent intent = new Intent(MessageActivity.this, TwitLalo.class);
        intent.putExtra("message", editText.getText().toString());
        setResult(RESULT_OK, intent);
    	this.finish();
    }
}
