package org.siprop.android.overlay;

import java.util.ArrayList;

import org.siprop.android.TwitLalo;

import android.app.Activity;
import android.graphics.drawable.Drawable;

import com.google.android.maps.ItemizedOverlay;

/**
 * ツイートの表示用Overlay
 * 
 * @author hirotaka@siprop.org
 *
 */
public class TweetItemizedOverlay extends ItemizedOverlay<TweetOverlayItem> {

	private  ArrayList<TweetOverlayItem> tweetOverlayItemList =
			new  ArrayList<TweetOverlayItem>();  

	private TwitLalo twitLalo;
	
	public TweetItemizedOverlay(Drawable defaultMarker, Activity activity) {
		super(boundCenterBottom(defaultMarker));
		this.twitLalo = (TwitLalo) activity;
		populate();
	}

	@Override
	public boolean onTap(int index) {
		if (tweetOverlayItemList.size() == 0) return false;
		this.twitLalo.showTweet(tweetOverlayItemList.get(index));
		return true;
	}

	@Override
	protected TweetOverlayItem createItem(int i) {
		if (tweetOverlayItemList.size() == 0)  return null;
		return tweetOverlayItemList.get(i);
	}

	@Override
	public int size() {
		return tweetOverlayItemList.size();
	}

	public void clearOverlay() {
		tweetOverlayItemList.clear();
        populate();
	}
	
	public void addOverlay(TweetOverlayItem tweetOverlayItem,
    		Drawable drawable)  {
    	if (drawable != null)
    		tweetOverlayItem.setMarker(boundCenterBottom(drawable));
    	for (TweetOverlayItem item : tweetOverlayItemList) {
    		if (item.getId() ==
    				tweetOverlayItem.getId()) {
    			tweetOverlayItemList.remove(item);
    			break;
    		}
    	}
    	tweetOverlayItemList.add(tweetOverlayItem);
        populate();
    }
}
