package org.siprop.android.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileWriter;
import java.io.IOException;

import twitter4j.http.AccessToken;

/**
 * xAuth用のトークンを保存・取得するクラス
 * 
 * @author hirotaka@siprop.org
 *
 */
public class TwitterToken {
	private static final String SETTING_FILE = "/data/data/org.siprop.android/setting.dat";
	
	public static void saveToken(AccessToken token) {
		File file = new File(SETTING_FILE);
		try {
			file.createNewFile();
			FileWriter fileWriter = new FileWriter(file);
			
			// token[tab]tokenSecrete
			fileWriter.write(token.getToken() + "\t");
			fileWriter.write(token.getTokenSecret());
			fileWriter.close();

		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public static String getToken() {
		return getToken(0);
	}
	
	public static String getTokenSecret() {
		return getToken(1);
	}
	
	private static String getToken(int i) {
		File file = new File(SETTING_FILE);
		if (file.isFile() == false) return null;
		
		try {
			FileInputStream fis = new FileInputStream(SETTING_FILE);
			byte[] readBytes = new byte[fis.available()];
			fis.read(readBytes);
			String readString = new String(readBytes);
			String[] token = readString.split("\t");
			if (token != null && token.length == 2) return token[i];

		} catch (IOException e) {
			e.printStackTrace();
		}

		return null;
	}
}
